// This is an example not a library
/***************************************************************************
 *   Copyright (C) 2008 Daniel Nicoletti <dantti85-pk@yahoo.com.br>        *
 *   Copyright (C) 2009 Radek Novacek    <rnovacek@redhat.com>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef PKEXAMPLE_HELPER_H
#define PKEXAMPLE_HELPER_H

#include <tqdbusobject.h>
#include <tqdbusconnection.h>
#include "tqapplication.h"

class TQSessionManager;

class PkExampleHelper : public TQApplication, public TQT_DBusObjectBase
{
  Q_OBJECT

  public:
    PkExampleHelper(int argc, char **argv);
    ~PkExampleHelper();

    bool set(const TQString &action);
    bool setValue(const TQString &action);

    void commitData(TQSessionManager &sm);

  protected:
    bool handleMethodCall(const TQT_DBusMessage& message);

  private:
    TQT_DBusConnection m_connection;
};

#endif
